{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DBZ Characters | Home</title>
    <link rel="stylesheet" href="{% static 'css/dbz.css' %}">
</head>
<body>

    <header>
            <img class="logo" src="https://static.wikia.nocookie.net/dragonball/images/9/9b/Dragon_Ball_Z_Logo.png/revision/latest?cb=20130629032530" alt="Dragon Ball Z">
        <nav>
            <ul>
                {% if user.is_authenticated %}
                    <li><a href="{% url 'add_character' %}" class="nav-link">Add Character</a></li>
                    <li><a href="{% url 'logout' %}" class="nav-link">Logout</a></li>
                    {% else %}
                    <li><a href="{% url 'signup' %}">Signup</a></li>
                    <li><a href="{% url 'login' %}">Login</a></li>
                {% endif %}
            </ul>
        </nav>
    </header>


    <main>

        <div class="container-bg">
            <div class="container">
                <div class="container-left">
                    <div class="welcome-text">
                        Welcome {{ user.username }}, to the Dragon Ball Z website!
                    </div>
                    <div class="description">
                        This website is a website where you can view each character and take a look at a short biography about them. 
                        If you are a member, you will have the pleasure to add other DBZ Characters or edit the DBZ character that you are on! 
                        Feel free to just look around and enjoy the website. 
                    </div>
                    <div class="thank-you">
                        Thank you {{ user.username }} for visiting!!! 
                    </div>
                </div>
        </div>



        <div class="container2-bg">
            <div class="header">
                <h1>Choose Your Character</h1>
            </div>
            <div class="container2-content">
                {% for character in characters %}
                <div class="char-card">
                    <a href="{% url 'show_character' character.id %}">
                        <img src="{{ character.picture}}">
                    </a>
                    <a href="{% url 'show_character' character.id %}" class="char-name">
                        {{ character.name }}
                    </a>
                </div>
                {% endfor %}
            </div>
        </div>

        <div class="container3-bg">
            <div class="container3-quote">
                <div class="quote">
                    " The ocean is so salty because everyone pees in it."
                </div>
                <div class="by">
                    - Goku
                </div>
            </div>
        </div>

        <div class="container4">
            <div class="container4background">
              <div class="container4content">
                <div class="container4text">
                  <div class="container4header">If you wanna check out more of my content go here!</div>
                </div>
                <div class="container4button">
                  <a class="container4signup" href="https://gitlab.com/Dimitri.legaspi/django-dbz-characters" target="_blank" >Check It Out!</a>
                </div>
              </div>
            </div>
          </div>
    </main>
</body>
</html>